<template>
  <div class="container">
    <b-carousel-list
      ref="carousel"
      v-model="test"
      class="has-background-zerow-highlight"
      :data="items"
      :auto-play="true"
      :items-to-show="3"
      repeat
      has-drag
    >
      <template #item="list">
        <div class="card is-card-widget">
          <div class="card-image">
            <figure class="image is-square">
              <a @click="info(list.index)"><img :src="list.image"></a>
            </figure>
          </div>
          <div class="card-content">
            <p class="title has-text-centered has-text-zerow-green-dark is-6">
              {{ list.title }}
            </p>
          </div>
        </div>
      </template>
    </b-carousel-list>
  </div>
</template>

<script>
import TnoLogo from '@/assets/Logo-TNO.webp'
import KonnectaLogo from '@/assets/Logo-Konnecta.webp'
import ItcLogo from '@/assets/Logo-ITC.webp'
import InlecomLogo from '@/assets/Logo-Inlecom.webp'
import YourCompanyLogo from '@/assets/Logo-YourCompany.webp'
export default {
  data () {
    return {
      test: 0,
      intervalCarousel: null,
      items: [

        {
          title: 'Konnecta',
          image: KonnectaLogo
        },
        {
          title: 'ITC',
          image: ItcLogo
        },
        {
          title: 'Inlecom',
          image: InlecomLogo
        },
        {
          title: 'TNO',
          image: TnoLogo
        },
        {
          title: 'You?',
          image: YourCompanyLogo
        }
      ]
    }
  },
  created () {
    this.intervalCarousel = setInterval(() => {
      this.$refs.carousel.next()
    }, 3000)
  },
  methods: {
    info (value) {
      this.test = value
    }
  }
}
</script>
